Debian Bug report logs - #671586
gjacktransport: FTBFS on hurd-i386.

version graph

Package: gjacktransport; Maintainer for gjacktransport is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for gjacktransport is src:gjacktransport.

Reported by: Cyril Roelandt <tipecaml@gmail.com>

Date: Sat, 5 May 2012 01:57:01 UTC

Severity: important

Tags: patch

Fixed in version gjacktransport/0.5.2-4

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Robin Gareus <robin@gareus.org>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tipecaml@gmail.com, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#671586; Package gjacktransport. (Sat, 05 May 2012 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Roelandt <tipecaml@gmail.com>:
New Bug report received and forwarded. Copy sent to tipecaml@gmail.com, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 05 May 2012 01:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Roelandt <tipecaml@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gjacktransport: FTBFS on hurd-i386.
Date: Sat, 05 May 2012 01:59:30 +0000
[Message part 1 (text/plain, inline)]
Package: gjacktransport
Severity: important
Tags: patch

Dear Maintainer,

gjacktransport FTBFS on hurd-i386 because it uses PATH_MAX unconditionally. The attached patch should fix this issue.

WBR,
Cyril Roelandt.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unreleased
  APT policy: (500, 'unreleased'), (500, 'unstable')
Architecture: hurd-i386 (i686-AT386)

Kernel: GNU-Mach 1.3.99/Hurd-0.3
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[01-hurd_fix_build.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#671586; Package gjacktransport. (Tue, 15 May 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 15 May 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 671586@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Robin Gareus <robin@gareus.org>
Cc: 671586@bugs.debian.org, Cyril Roelandt <tipecaml@gmail.com>
Subject: Re: Bug#671586: gjacktransport: FTBFS on hurd-i386.
Date: Wed, 16 May 2012 00:01:29 +0200
Hello Robin, how are you?

On Sat, May 5, 2012 at 3:59 AM, Cyril Roelandt <tipecaml@gmail.com> wrote:
> gjacktransport FTBFS on hurd-i386 because it uses PATH_MAX unconditionally. The attached patch should fix this issue.

The reporter has prepared a patch too, you may find it attached to the
bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671586

Thanks for considering, cya!

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0e004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Set Bug forwarded-to-address to 'Robin Gareus <robin@gareus.org>'. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 15 May 2012 22:03:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 15 May 2012 22:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#671586; Package gjacktransport. (Tue, 15 May 2012 22:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robin Gareus <robin@gareus.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 15 May 2012 22:27:08 GMT) Full text and rfc822 format available.

Message #19 received at 671586@bugs.debian.org (full text, mbox):

From: Robin Gareus <robin@gareus.org>
To: 671586@bugs.debian.org
Subject: Re: Bug#671586: gjacktransport: FTBFS on hurd-i386.
Date: Wed, 16 May 2012 00:26:40 +0200
Hi Cyril, Alessio.

Thanks for the patch! Merged upstream in 0.5.3:

http://sourceforge.net/projects/gjacktransport/files/gjacktransport/v0.5/gjacktransport-0.5.3.tar.gz/download

Happy hurding.
Cheers!
robin




Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Tue, 15 May 2012 22:36:08 GMT) Full text and rfc822 format available.

Notification sent to Cyril Roelandt <tipecaml@gmail.com>:
Bug acknowledged by developer. (Tue, 15 May 2012 22:36:08 GMT) Full text and rfc822 format available.

Message #24 received at 671586-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 671586-close@bugs.debian.org
Subject: Bug#671586: fixed in gjacktransport 0.5.2-4
Date: Tue, 15 May 2012 22:33:03 +0000
Source: gjacktransport
Source-Version: 0.5.2-4

We believe that the bug you reported is fixed in the latest version of
gjacktransport, which is due to be installed in the Debian FTP archive:

gjacktransport_0.5.2-4.debian.tar.gz
  to main/g/gjacktransport/gjacktransport_0.5.2-4.debian.tar.gz
gjacktransport_0.5.2-4.dsc
  to main/g/gjacktransport/gjacktransport_0.5.2-4.dsc
gjacktransport_0.5.2-4_amd64.deb
  to main/g/gjacktransport/gjacktransport_0.5.2-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated gjacktransport package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 16 May 2012 00:05:44 +0200
Source: gjacktransport
Binary: gjacktransport
Architecture: source amd64
Version: 0.5.2-4
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 gjacktransport - access to the JACK's transport mechanism as touchable slider
Closes: 671586
Changes: 
 gjacktransport (0.5.2-4) unstable; urgency=low
 .
   * Add patch to solve FTBFS on the Hurd.
     Thanks to Cyril Roelandt for the report and patch. (Closes: #671586)
   * Compile with --as-needed.
   * Update debian/copyright to the machine-readable format.
   * Bump Standards.
Checksums-Sha1: 
 f933f3b5d5abb541ddc5e84d1da019165de8c0de 2110 gjacktransport_0.5.2-4.dsc
 38ffaa6620d38850081646d1419d2e77042d6172 3570 gjacktransport_0.5.2-4.debian.tar.gz
 9dc7552ad3a354484a7a4be201d00bda0d985375 65904 gjacktransport_0.5.2-4_amd64.deb
Checksums-Sha256: 
 922e857962a81e8958c4a4f40d0f7876bbb437bbb01c96c269b1d62ce881bef1 2110 gjacktransport_0.5.2-4.dsc
 0a7c0acb64499d80b9f22ed1bd33b4c12943fd57586711b7bcf9542f5b3f8370 3570 gjacktransport_0.5.2-4.debian.tar.gz
 82d28d5f0e368564707a51d08e899d3a6122061f012d5eed61553c639abbc87d 65904 gjacktransport_0.5.2-4_amd64.deb
Files: 
 5d6ad322ceacdc378fcc97b847b286e5 2110 sound optional gjacktransport_0.5.2-4.dsc
 b0f91fda82056911f0c5ac9635cb20ae 3570 sound optional gjacktransport_0.5.2-4.debian.tar.gz
 62c106a8247666a3797841af6c4e4cc8 65904 sound optional gjacktransport_0.5.2-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPstWEAAoJEOikiuUxHXZal/8P/2dZdTId2ZzA8dUzkF0RcZeE
oqFR5kqOk0B/ModG9XxURy51rsHA3uNOES/vCDySUjZc7hlGj0E1gtfMOGRQFrGy
OTji1Pr+iw+Wwm4w7kbkbP3xdFysbFQ2CdTNYLzkO6kvUVNKdIYNobKdux5YlveK
NWC+LaYzICrfGZnkv8OyxlX3rmdw0PbAvxmieK2P7T5sxMf0fH/XO91jI8cHc0rL
VPc7RSXnYJmW40Bq1SHB6XFtXkeIL5mt6HvlLDJZOk1Oa0pMGS+oK9UDeVqGkwZu
kRt7F4VB1VH0NxJyffie+s4yl2OLlQG89PFTUeNTBCO4k3PKfIwzmzPQ8XWk4LEb
/yAqTXJcDkVouqYHH7Ryv3bXbuoQjPYHLJ6Zx6h4Qxp8bJ2dZd5Cz4tlyOA4iN+n
K/6fgh3QhcfUmar6W+vOwarxdWHaVm/IjD2sky6HIvHD0VzWbT+6CXMC0eE5wXUW
iRVAYLgOR844zSp5j0lSUNm+kYOdRl3Lehnde/n8GTp873v1z9uyFxipEpONp4IF
AwHnHajsSE2mrxuJJZ38IPUd/qi652zqL1xkBpSblN+qynV7xuUuP6OQ0cZh3eFN
wuiZK3Ix0TFX6+pRj42QR+HpmG7BFTZ/3bxSou09Dv0WhdHEOspPCZRe4B8brbdI
JFKo+bQNHujNWbfXrN0k
=DVU2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jun 2012 07:51:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:51:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.